roblox-ts

Installation

A guide on how to install the roact library for roblox-ts.

Typescript Roact requires that you have roblox-ts as well as @rbxts/types installed.

Install via NPM

  • Run the command npm i @rbxts/roact.

You’re done. You can now use it by importing Roact in files you wish to use it in:

import * as Roact from "@rbxts/roact";